API Call History APIs
Access the API Call History.
Get details of an API call. This is equivalent to Inspect detailed log.
If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadAPILog.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantExecute API call_id.
a5c6a61f-06f8-499b-8a4d-818be4e74d29Index number for the record to get. With v4/execute, multiple request records can be submitted at once.
OK
GET /{tenant}/api/v3/log/getexecutionhistorybycallid/{callId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": "Success",
"response_data": "{\"EngineCallId\"...}",
"response_meta": {
"system": "SPARK",
"request_timestamp": "2025-08-14T07:32:22.271Z"
},
"error": null
}Get the original Excel file with inputs embedded from an Execute API call_id. This is equivalent to Download as Excel.
If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadAPILog.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantFolder associated with the API call.
myfolderService associated with the API call.
myserviceExecute API call_id.
a5c6a61f-06f8-499b-8a4d-818be4e74d29OK
POST /{tenant}/api/v3/folders/{folder}/services/{service}/download/xml/{callId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2
{}OK
{
"status": null,
"response_data": {
"download_url": "https://excel.myenvironment.coherent.global/SparkService_CallLogDetails_a5c6a61f-06f8-499b-8a4d-818ce4e74d29.xlsx"
},
"response_meta": {
"service_id": "d160a776-01ba-433d-8cb4-60fa2710b085",
"version_id": "e778bbb1-288c-42f5-a4c3-d0a47f7d0463",
"version": "0.2.0",
"process_time": 0,
"call_id": "18f53170-93d1-4b3c-88b6-04ae302b7e8d",
"compiler_type": "Neuron",
"compiler_version": null,
"source_hash": null,
"engine_id": "53ACA991910FF82E1DF0B133D66A5A97",
"correlation_id": null,
"parameterset_version_id": null,
"system": "SPARK",
"request_timestamp": "2025-02-13T05:48:19.654Z"
},
"error": null
}Get a ZIP of CSV files of the API calls. This is equivalent to Download all API calls, Download as CSV.
If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadCsvLog.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantFolder associated with the API call.
myfolderService associated with the API call.
myserviceCSV output includes expanded tables.
trueOK
POST /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadcsv HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"request_data": {
"start_date": "2023-11-11",
"end_date": null
}
}OK
{
"status": null,
"response_data": {
"job_id": "ebcbf840-df82-472a-b9d4-073f14f4320b"
},
"response_meta": {
"system": "SPARK",
"request_timestamp": "2023-11-14T07:59:43.050Z"
},
"error": null
}Get a ZIP of CSV files of the API calls. This is equivalent to Download all API calls, Download as CSV.
If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadCsvLog.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantFolder associated with the API call.
myfolderService associated with the API call.
myservicejob_id associated from POST job.
b13a5526-60c8-43cc-840f-2c76dca701d9OK
GET /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadcsv/status/{jobId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": null,
"response_data": {
"progress": 100,
"download_url": "https://environment.coherent.global/SparkService_allRecords_2023_11_14_T_08_25_40.zip"
},
"response_meta": {
"system": "SPARK",
"request_timestamp": "2023-11-14T08:25:40.762Z"
},
"error": null
}Get a ZIP of JSON files of the API calls. This is equivalent to Download all API calls, Download as JSON.
If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadJSONLog.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantFolder associated with the API call.
myfolderService associated with the API call.
myserviceOK
POST /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadJSON HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 60
{
"request_data": {
"start_date": "2023-11-11",
"end_date": null
}
}OK
{
"status": null,
"response_data": {
"job_id": "ebcbf840-df82-472a-b9d4-073f14f4320b"
},
"response_meta": {
"system": "SPARK",
"request_timestamp": "2023-11-14T07:59:43.050Z"
},
"error": null
}Get a ZIP of JSON files of the API calls. This is equivalent to the API Call History functionality to Download all API calls, Download as JSON.
If using an API key, the API key group must contain user groups that are also assigned to Spark.DownloadJSONLog.json or Spark.AllEncompassingProxy.json.
Bearer token can be accessed from the user menu.
Tenant is part of your sign-in URL and also available in the user menu.
mytenantFolder associated with the API call.
myfolderService associated with the API call.
myservicejob_id associated from POST job.
b13a5526-60c8-43cc-840f-2c76dca701d9OK
GET /{tenant}/api/v3/folders/{folder}/services/{service}/log/downloadJSON/status/{jobId} HTTP/1.1
Host: excel.myenvironment.coherent.global
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
OK
{
"status": null,
"response_data": {
"progress": 100,
"download_url": "https://environment.coherent.global/SparkService_allRecords_2023_11_14_T_08_25_40.zip"
},
"response_meta": {
"system": "SPARK",
"request_timestamp": "2023-11-14T08:25:40.762Z"
},
"error": null
}Last updated
